| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::PendingSendMessage Class Reference
Channel proxies

The PendingSendMessage class represents the parameters of and the reply to an asynchronous message send request. More...

`#include <TelepathyQt/PendingSendMessage>`

Inherits Tp::PendingOperation.

List of all members.

## Public Member Functions

- ~PendingSendMessage ()
- TextChannelPtr channel () const
- ContactMessengerPtr messenger () const
- QString sentMessageToken () const
- Message message () const

## Detailed Description

The PendingSendMessage class represents the parameters of and the reply to an asynchronous message send request.

See Asynchronous Object Model

## Constructor & Destructor Documentation

Tp::PendingSendMessage::~PendingSendMessage | ( |  | ) |

## Member Function Documentation

TextChannelPtr Tp::PendingSendMessage::channel | ( |  | ) | const

Return the channel used to send the message if this instance was created using TextChannel. If it was created using ContactMessenger, return a null TextChannelPtr.

Returns:
  A pointer to the TextChannel object, or a null TextChannelPtr if created using ContactMessenger.

ContactMessengerPtr Tp::PendingSendMessage::messenger | ( |  | ) | const

Return the contact messenger used to send the message if this instance was created using ContactMessenger. If it was created using TextChannel, return a null ContactMessengerPtr.

Returns:
  A pointer to the ContactMessenger object, or a null ContactMessengerPtr if created using TextChannel.

QString Tp::PendingSendMessage::sentMessageToken | ( |  | ) | const

Message Tp::PendingSendMessage::message | ( |  | ) | const